<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-10
 * Time: 18:47
 */

namespace App\Transformers;

use App\Models\Category;
use App\Models\Meta;
use http\Env;
use League\Fractal\TransformerAbstract;
use Illuminate\Support\Carbon;
use SimpleSoftwareIO\QrCode\Facades\QrCode;

class MetaTransformer extends TransformerAbstract
{
    public function transform(Meta $meta)
    {

        return [
            "patch_num" => $meta['patch_num'],
            "produce_date" => Carbon::parse($meta['produce_date'])->format('Y-m-d'),
            "variety" => $meta['variety'],
            "variety_img" => $meta['variety_img'],
            "age" => $meta['age'],
            "food" => $meta['food'],
            "food_img" => $meta['food_img'],
            "water" => $meta['water'],
            "water_img" => $meta['water_img'],
            "farm" => \GuzzleHttp\json_decode($meta['farm'],true),
            "report" => $meta['report'],
            "status" => $meta['status'],
            "trans_id" => $meta['trans_id'],
            "zip" => $meta['zip'],
            "md5" => $meta['md5'],
            "trans_id" => $meta['trans_id'],
            "block_height" => $meta['block_height'],
            "block_time" => $meta['block_time'],
            "qrcode" => QrCode::size(200)->generate(getenv('TRACE_SERVICE_URL'.'/egg/').$meta['patch_num']),
            "created_at" => Carbon::parse($meta['created_at'])->toDateTimeString(),
            "updated_at" => Carbon::parse($meta['updated_at'])->toDateTimeString(),
        ];
    }
}